# Copyright (c) 2007 Michael "Z" Goddard
# This software is distributed under the MIT license.

"""Tests the login page of the webfront."""

from paste.fixture import *
from Pyblosxom.pyblosxom import pyblosxom_app_factory
# from webfront import 

def test_loginpage():
    app = TestApp(pyblosxom_app_factory({}))
    res = app.get("/?edit=entry")
    assert "Login" in res

def test_login():
    config = {'webfront_users': {'user': "pass"}}
    app = TestApp(pyblosxom_app_factory(config))
    res = app.get("/?edit=entry")
    assert "Login" in res
    form = res.forms[0]
    form['name'] = "user"
    form['pass'] = "pass"
    form.submit('submit')
